Loading...
Searching...
No Matches
wayland::output_mode Struct Reference

mode information More...

`#include <wayland-client-protocol.hpp>`

## Static Public Attributes

static const wayland::detail::bitfield< 2, 22 > | current {0x1}
| indicates this is the current mode
static const wayland::detail::bitfield< 2, 22 > | preferred {0x2}
| indicates this is the preferred mode

## Detailed Description

mode information

These flags describe properties of an output mode. They are used in the flags bitfield of the mode event.

Definition at line 3765 of file wayland-client-protocol.hpp.

## Member Data Documentation

## current

const bitfield< 2, 22 > output_mode::current {0x1}

static

indicates this is the current mode

Definition at line 3772 of file wayland-client-protocol.hpp.

## preferred

const bitfield< 2, 22 > output_mode::preferred {0x2}

static

indicates this is the preferred mode

Definition at line 3774 of file wayland-client-protocol.hpp.

The documentation for this struct was generated from the following files:

- obj-x86_64-linux-gnu/wayland-client-protocol.hpp
- obj-x86_64-linux-gnu/wayland-client-protocol.cpp
- obj-x86_64-linux-gnu/wayland-server-protocol.cpp